Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 19 Sep 2019, 06:21
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Fatdog64-800 Alpha / Beta [20 Dec 2018] [CLOSED]
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 19 of 23 [335 Posts]   Goto page: Previous 1, 2, 3, ..., 17, 18, 19, 20, 21, 22, 23 Next
Author Message
h2sammo3

Joined: 04 Jan 2019
Posts: 22

PostPosted: Tue 15 Jan 2019, 01:06    Post subject:  

step wrote:
h2sammo3 wrote:
Code:
 # gimp --version
GNU Image Manipulation Program version 2.10.4
# ls -l $(which gimp)
lrwxrwxrwx 1 root root 9 Nov  1 21:30 /usr/bin/gimp -> gimp-2.10

That package in the repo does include the libmypaint dependency. Did you install gimp via gslapt package manager or did you download the txz file directly from ibiblio?
Please open gslapt from the system menu, type gimp in the search bar, press ENTER and select the line for gimp 2.10.4, which should be marked installed with a blue square. Now select the "Dependencies" tab and click the arrow pointing to "Required" so that it points downward and a list of dependencies is shown. Confirm that libmypaint is in the list. Thank you.

Note: If you decide to uninstall gimp 2.10.4 to then re-install it or whatever, do NOT uninstall gtk2.


i have attached image (no dependencies shown). i did not install or reinstall gimp. it is stock version.
xscreenshot-20190115T210416.png
Description 
png

 Download 
Filename  xscreenshot-20190115T210416.png 
Filesize  131.61 KB 
Downloaded  97 Time(s) 
Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 1197

PostPosted: Tue 15 Jan 2019, 02:15    Post subject:  

h2sammo3 wrote:

i have attached image (no dependencies shown). i did not install or reinstall gimp. it is stock version.

I have just checked both the alpha ISO and the beta ISO for which gimp version is installed, and I could only find gimp 2.8 but your screen capture shows that gimp 2.10 is installed. That makes me think that gimp 2.10 is in your savefile/savedir or loaded as an SFS or that you are booting a remastered ISO. I don't know what else to say at the moment. If I can think of something else I'll come back to this. Thanks for following up on my requests.

_________________
Fatdog64-802|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
h2sammo3

Joined: 04 Jan 2019
Posts: 22

PostPosted: Tue 15 Jan 2019, 04:37    Post subject:  

maybe it got pulled as a dependency when i upgraded gtk recently due to my control panel problem which was solved here.
Back to top
View user's profile Send private message 
p310don

Joined: 19 May 2009
Posts: 1412
Location: Brisbane, Australia

PostPosted: Tue 15 Jan 2019, 17:43    Post subject: Mouse Click Issue is Back  

So my mouse issue from the previous page or so is back.

This time
Code:
killall sven
didn't do anything positive. However then running
Code:
sven
got it working again, although the terminal is still running with it in it, which is annoying.

I don't know the cause this time. I have not touched sven at all for days.

My last FD usage was installing VirtuaBox, WINE SFS & 32bit SFS. Then playing a game, testing to make sure my VMs all worked, and then browsing with Chrome.

edit: Upon restart, it is working properly again.

Last edited by p310don on Tue 15 Jan 2019, 17:56; edited 1 time in total
Back to top
View user's profile Send private message 
smokey01


Joined: 30 Dec 2006
Posts: 2811
Location: South Australia :-(

PostPosted: Tue 15 Jan 2019, 17:56    Post subject:  

Try backgrounding it.
Code:
sven &

_________________
Software <-> Distros <-> Tips <-> Newsletters
Back to top
View user's profile Send private message Visit poster's website 
p310don

Joined: 19 May 2009
Posts: 1412
Location: Brisbane, Australia

PostPosted: Tue 15 Jan 2019, 17:57    Post subject:  

Quote:
Try backgrounding it.
Code:
sven &


Thanks for the tip smokey01. I will keep that in mind for next time it happens (if it happens)
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 5345
Location: Ontario

PostPosted: Tue 15 Jan 2019, 18:21    Post subject:  

step wrote:
I have just checked both the alpha ISO and the beta ISO for which gimp version is installed, and I could only find gimp 2.8 but your screen capture shows that gimp 2.10 is installed


If gimp-2.10.4-x86_64-1.txz is installed,
then libgegl will need upgrading , perhaps libbabl as well.


http://distro.ibiblio.org/fatdog/packages/800/libgegl-0.4.4-x86_64-1.txz
http://distro.ibiblio.org/fatdog/packages/800/libbabl-0.1.52-x86_64-1.txz
_________________________________________

I like to use the appimage since dependencies are inside. It mounts in /tmp
https://github.com/aferrero2707/gimp-appimage/releases/download/continuous/GIMP_AppImage-git-2.10.9-withplugins-20181227-x86_64.AppImage
_________________________________________________________
Back to top
View user's profile Send private message 
h2sammo3

Joined: 04 Jan 2019
Posts: 22

PostPosted: Tue 15 Jan 2019, 20:04    Post subject:  

don570 wrote:
step wrote:
I have just checked both the alpha ISO and the beta ISO for which gimp version is installed, and I could only find gimp 2.8 but your screen capture shows that gimp 2.10 is installed


If gimp-2.10.4-x86_64-1.txz is installed,
then libgegl will need upgrading , perhaps libbabl as well.


http://distro.ibiblio.org/fatdog/packages/800/libgegl-0.4.4-x86_64-1.txz
http://distro.ibiblio.org/fatdog/packages/800/libbabl-0.1.52-x86_64-1.txz
_________________________________________

I like to use the appimage since dependencies are inside. It mounts in /tmp
https://github.com/aferrero2707/gimp-appimage/releases/download/continuous/GIMP_AppImage-git-2.10.9-withplugins-20181227-x86_64.AppImage
_________________________________________________________


they seem to be upgraded and installed already
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3476
Location: wales

PostPosted: Wed 16 Jan 2019, 12:18    Post subject:  

jamesbond wrote:

Don't. Ublock Origin no longer supports SM (they support the "new" Firefox), and for whatever reason they don't keep old versions available, nice.


hi jamesbond,

might have been said already but ublock origin does make a version that works on palemoon, seamonkey and older firefox.https://github.com/gorhill/uBlock/releases
you need to scroll down to "firefox-legacy"

_________________
Bionicpup64 built with bionic beaver packages http://murga-linux.com/puppy/viewtopic.php?t=114311
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
p310don

Joined: 19 May 2009
Posts: 1412
Location: Brisbane, Australia

PostPosted: Wed 16 Jan 2019, 17:29    Post subject:  

Quote:
you need to scroll down to "firefox-legacy"


How do you install that from the github page?

edit: click on the xpi file (if your mouse is clicking properly)
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3476
Location: wales

PostPosted: Wed 16 Jan 2019, 17:38    Post subject:  

p310don wrote:
Quote:
you need to scroll down to "firefox-legacy"


How do you install that from the github page?


in some browsers you can just drag and drop onto the open browser, else ...
tools >> addons >> extensions and click the cog/settings icon near the search box and 'install from file'

_________________
Bionicpup64 built with bionic beaver packages http://murga-linux.com/puppy/viewtopic.php?t=114311
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 5345
Location: Ontario

PostPosted: Thu 17 Jan 2019, 20:50    Post subject:  

Quote:
they seem to be upgraded and installed already


libmypaint needs to be installed for gimp 2.10
gimp-depends.tar.gz
Description  libmypaint
gz

 Download 
Filename  gimp-depends.tar.gz 
Filesize  115.76 KB 
Downloaded  74 Time(s) 
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 5345
Location: Ontario

PostPosted: Thu 17 Jan 2019, 20:52    Post subject: mypaint brushes  

As well I found that the mypaint brushes should be installed.

Download mypaint brushes for gimp 2.10:
Size 2.4 mb

https://drive.google.com/open?id=1moqfJVJzyXlGXwx6Q-od1CRKQ--_pDWc
Back to top
View user's profile Send private message 
borzeh

Joined: 12 Jan 2014
Posts: 21

PostPosted: Tue 22 Jan 2019, 01:18    Post subject: Telegram  

@Jamesbond , @step and any other fatdog team

I'm using linux version of Telegram messenger from fatdog (700).
but , recently , and specially from 800 alpha , Telegram dont start easily.
in 90% of times , message appeard , and if you try several time , suddenly skip button works and telegram will be appear.

first i think it's about telegram application , but as this problem only show up in fatdog , ... , I came here for any help and suggestion. Very Happy

Thank you
xscreenshot-20190122T081245.png
 Description   
 Filesize   107.55 KB
 Viewed   230 Time(s)

xscreenshot-20190122T081245.png

Back to top
View user's profile Send private message 
step

Joined: 04 May 2012
Posts: 1197

PostPosted: Tue 22 Jan 2019, 04:10    Post subject:  

@borzeh, sorry I don't use telegram. Have you tried a newer Telegram binary? There's a Telegram AppImage that *should* work in all Linux versions. You could try that. There's also a thread about Telegram in this forum. Another thing you can try is to start telegram in a terminal window and see if it prints out any error messages, which could shed some more light on this issue.
_________________
Fatdog64-802|+Packages|Kodi|Findnrun|+forum|gtkmenuplus
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 19 of 23 [335 Posts]   Goto page: Previous 1, 2, 3, ..., 17, 18, 19, 20, 21, 22, 23 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1165s ][ Queries: 12 (0.0277s) ][ GZIP on ]